// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserRoleCreateDefault An unexpected error response

swagger:response userRoleCreateDefault
*/
type UserRoleCreateDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserRoleCreateDefault creates UserRoleCreateDefault with default headers values
func NewUserRoleCreateDefault(code int) *UserRoleCreateDefault {
	if code <= 0 {
		code = 500
	}

	return &UserRoleCreateDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user role create default response
func (o *UserRoleCreateDefault) WithStatusCode(code int) *UserRoleCreateDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user role create default response
func (o *UserRoleCreateDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user role create default response
func (o *UserRoleCreateDefault) WithPayload(payload *models.Error) *UserRoleCreateDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role create default response
func (o *UserRoleCreateDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleCreateDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
